Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 12:58
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Slacko 5.3.3.2 alpha (shooting for 5.3.4)
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 3 of 10 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, ..., 8, 9, 10 Next
Author Message
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Tue 26 Jun 2012, 05:07    Post_subject: Request: md5sum  

Has slacko GUIs for md5sum check?
_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send_private_message Visit_website 
marmalade


Joined: 26 Jun 2012
Posts: 7

PostPosted: Tue 26 Jun 2012, 07:05    Post_subject:  

Hi, two queries on a new Slacko install;

- trying to find an Alpine package; the one in the linked Slackware repo has been compiled without stored password support, anyone seen an Alpine v2 package compiled with that support?

- any alternative terminal programs to replace that urxvt one? Pref with options that can be set without trial and error in the .Xresources file (ie with proper menus) ?

TIA
Back to top
View user's profile Send_private_message 
musher0


Joined: 04 Jan 2009
Posts: 4245
Location: Gatineau (Qc), Canada

PostPosted: Tue 26 Jun 2012, 14:19    Post_subject:  

> Slacko is in the next cycle.

shucks... Very Happy

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Tue 26 Jun 2012, 23:23    Post_subject:  

@shinobar

I have now included Slackware coreutils which has the later sort utility.

On firstrun, there is a bug where modprobe nls_iso8859_1 is run. I see that the variable is used, but nls_iso8859_1 is compiled into the kernel, not a module. Most puppy kernels are compiled this way, I'm sure pemasu does it too. All other nls_iso???? are modules. Maybe if the variable contains that value you can skip the modprobe run? Not a big deal, but we all want to make out programs the best we can. Smile

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Wed 27 Jun 2012, 00:55    Post_subject: nls_iso8859_1  

01micko wrote:
On firstrun, there is a bug where modprobe nls_iso8859_1 is run.

Yes it does and fails. But does it make any problem?

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send_private_message Visit_website 
dk60902


Joined: 26 Sep 2010
Posts: 223
Location: In front of my computer

PostPosted: Wed 27 Jun 2012, 01:04    Post_subject:  

Lobster wrote:
Quote:
use 5.3.3 and the default transmission is 1.20. I downloaded the 2.51 pet from http://distro.ibiblio.org/puppylinux/pet_packages-slacko/

This may be the one Mick is after. 1.20 is the default in 5.3.3.1
Many thanks Smile

Update:
the 2.7MB Transmission is not the one. There is another optimised and shrunk and closer to the 171K of version 1.20 Transmission. Anyone know of this and have a copy? It was compiled by 'gulk' . . .


Can't be certain, but I thought I had downloaded the 2.51 pet from this repository, as I got 2.51 working like a charm on 5.3.3.
Back to top
View user's profile Send_private_message 
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Wed 27 Jun 2012, 02:02    Post_subject: Re: nls_iso8859_1  

shinobar wrote:
01micko wrote:
On firstrun, there is a bug where modprobe nls_iso8859_1 is run.

Yes it does and fails. But does it make any problem?


No, just displays error on terminal, it's fine.

-

Transmission 2.51 is a bit big to include, I've already bloated this with mesa. It can stay in the repo. Also requires libevent, which gets downloaded when you install from PPM.

There is aria2 in the repo which is ~900kB gz compressed, with a small gtkdialog gui it can replace Axel (which segfaults and is a seemingly dead project) and transmission-1x. Aria2 supports magnets too in the documentation. There is also the possibility of rtorrent, another commandline torrent version which could use a gtkdialog gui or perhaps the web interface (see the 3rd party link).

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
ETP


Joined: 19 Oct 2010
Posts: 542
Location: UK

PostPosted: Wed 27 Jun 2012, 03:12    Post_subject: Testing 5.3.3.1
Sub_title: Initial boot to desktop with working sound, wired ethernet & res of 1280x1024 with nouveau driver.
 

Minor issue:
The filter test in BootManager (*_5.3.3.1.sfs) is too rigorous & prevents the kernel source sfs from being seen & loaded via that route. (load on the fly is O/K)

Possible issue:
I had had some problems using shinobar's getnvidia. It seemed fine at first, producing both the NVIDIA SFS & PET.
It automatically blacklisted the nouveau driver & loaded the sfs. I then exchanged that for the pet & thought to check
for hardware acceleration. The OPEN GL/GLX information tab in nvidia-settings however showed "Failed to query the GLX server vendor"

It may be that I shot myself in the foot at some point whilst experimenting and I need to start afresh. I am therefore just flagging this up for anyone who has used
getnvidia to check the nvidia-settings. (A subsequent manual install of the latest driver worked fine)

_________________
Regards ETP
Accessibility Pups: -- Magoo -- The Pup With No Name -- MouseCam -- Obedient
Back to top
View user's profile Send_private_message 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Wed 27 Jun 2012, 03:30    Post_subject: NVIDIA-glx on slacko  

ETP wrote:
The OPEN GL/GLX information tab in nvidia-settings however showed "Failed to query the GLX server vendor"

For slacko, you need the mesa papckage (mesa-7.10.2-s.pet) to enable EGL.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send_private_message Visit_website 
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Wed 27 Jun 2012, 05:16    Post_subject: Re: NVIDIA-glx on slacko  

shinobar wrote:
ETP wrote:
The OPEN GL/GLX information tab in nvidia-settings however showed "Failed to query the GLX server vendor"

For slacko, you need the mesa papckage (mesa-7.10.2-s.pet) to enable EGL.


ETP

This version already has mesa, so it must be something else, check /etc/X11/xorg.conf and make sure the disable "glx" line is commented or change to load "glx". Failing that, check /var/log/Xorg.0.log for errors, you can gzip it and post it here if you like.

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Wed 27 Jun 2012, 06:47    Post_subject: Re: NVIDIA-glx on slacko  

01micko wrote:
This version already has mesa,

Is that so?
But the slickpet offered to install mesa.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send_private_message Visit_website 
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Wed 27 Jun 2012, 07:04    Post_subject:  

Yes slickpet is not really ready for this version. The test for mesa is on installed packages. Of course if it's there already it's not going to be in the install log. I mentioned it has mesa in the first post.

I may even abandon slickpet or more correctly, break it up into sfs management and video management. It was never a planned application and is a bit of a nightmare to maintain without a full rewrite anyway.

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Wed 27 Jun 2012, 07:17    Post_subject: nvidia-glx
Sub_title: Initial boot to desktop with working sound, wired ethernet & res of 1280x1024 with nouveau driver.
 

ETP wrote:
I had had some problems using shinobar's getnvidia.

Well then, try nvidia-glx-295.59-k3.2.21-4g.pet, made by the getnvidia-0.5.

nvidia-glx-295.59-k3.2.21-4g.pet
http://shino.pos.to/party/bridge.cgi?puppy/slacko/

getnvidia-0.5
http://shino.pos.to/party/bridge.cgi?puppy/opt/

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send_private_message Visit_website 
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Wed 27 Jun 2012, 09:22    Post_subject: Re: nvidia-glx
Sub_title: Initial boot to desktop with working sound, wired ethernet & res of 1280x1024 with nouveau driver.
 

shinobar wrote:

getnvidia-0.5
http://shino.pos.to/party/bridge.cgi?puppy/opt/


Just tried, working well Smile

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
ETP


Joined: 19 Oct 2010
Posts: 542
Location: UK

PostPosted: Wed 27 Jun 2012, 09:25    Post_subject: nvidia-glx  

shinobar

Thanks for trying to help. If you re-read my previous post however you will see that it was precisely when I changed to the pet so produced that I encountered the problem "Failed to query the GLX server vendor". I went on to comment “A subsequent manual install of the latest driver worked fine”.

I realise that getnvidia-0.5 automates the manual install process, produces the pet & sfs and then goes onto load the sfs. It may be that my changing from the sfs to the pet caused the problem.

In any event I have today done a fresh build & manual install of 295.59. That works fine as shown below & at least validates micko’s inclusion of mesa. In fact the glxgears FPS is the best I have ever seen on my card by 50%. I would suggest that we wait to see whether anyone else encounters a problem with a USB install and the nvidia-glx-295.59-k3.2.21-4g.pet
image-3.png
 Description   
 Filesize   96.19 KB
 Viewed   869 Time(s)

image-3.png


_________________
Regards ETP
Accessibility Pups: -- Magoo -- The Pup With No Name -- MouseCam -- Obedient
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 3 of 10 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, ..., 8, 9, 10 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0893s ][ Queries: 13 (0.0058s) ][ GZIP on ]